Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1817 - Pump doesn't seem to setup DHCP correctly
Summary: Pump doesn't seem to setup DHCP correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL: http://leonardo.sr.unh.edu/arguin/hom...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-26 16:09 UTC by carguin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-31 20:30:17 UTC


Attachments (Terms of Use)

Description carguin 1999-03-26 16:09:20 UTC
I have a DHCP network activated on system boot. When pump
runs, it does get an IP address and activates the interface,
but I cannot use the network. Attempts to ping tell me the
network is unreachable.

In order to get the network working, I use the
"dhcpcd-rhcn-1.3.17-pl3-1" package, and my own ifup-eth and
ifdown-eth0 scripts.

I am running Linux 2.2.4.

Comment 1 Preston Brown 1999-03-29 17:13:59 UTC
We need more information.  What is the output of 'route' after pump
runs?  Are your routes correct? What subnet are you on?

Comment 2 rebel 1999-03-30 15:26:59 UTC
Pump is completely unfunctional. Kernel 2.2.5, FreeBSD bootpd.

Comment 3 carguin 1999-03-30 20:06:59 UTC
When pump runs it doesn't seem to setup the routes correctly. I get:

132.177.56.0    *          255.255.252.0   U     0   0   0 eth0
127.0.0.0       *          255.0.0.0       U     0   0   0 lo

This seems born out, since I can ping machines on the 132.177.56.0
subnet, but I cannot, for instance, reach my nameservers.

This is using the default ifup and ifdown scripts, BTW.

With dhcdpcd, the route table is:

132.177.56.0    *               255.255.252.0   U   0 0 0 eth0
127.0.0.0       *               255.0.0.0       U   0 0 0 lo
default         student2-56gw.u 0.0.0.0         UG  0 0 0 eth0


While I'm at it, I might also add that dhcpcd tries to reuse to old IP
address is possible (ie, it request that first). This is *very*
nice... I've had the same IP address for the last two semesters :)When pump runs it doesn't seem to setup the routes correctly. I get:

132.177.56.0    *          255.255.252.0   U     0   0   0 eth0
127.0.0.0       *          255.0.0.0       U     0   0   0 lo

This seems born out, since I can ping machines on the 132.177.56.0
subnet, but I cannot, for instance, reach my nameservers.

This is using the default ifup and ifdown scripts, BTW.

With dhcdpcd, the route table is:

132.177.56.0    *               255.255.252.0   U   0 0 0 eth0
127.0.0.0       *               255.0.0.0       U   0 0 0 lo
default         student2-56gw.u 0.0.0.0         UG  0 0 0 eth0


While I'm at it, I might also add that dhcpcd tries to reuse to old IP
address is possible (ie, it request that first). This is *very*
nice... I've had the same IP address for the last two semesters :)

Comment 4 Erik Troan 1999-03-31 20:30:59 UTC
this should be fixed in pump 0.3, which will be in the next
starbuck. Please let me know if this is still a problem.


Note You need to log in before you can comment on or make changes to this bug.